'use client';
import IconPencil from '@/components/icon/icon-pencil';
import IconTrashLines from '@/components/icon/icon-trash-lines';
import PanelCodeHighlight from '@/components/panel-code-highlight';
import Tippy from '@tippyjs/react';
import 'tippy.js/dist/tippy.css';
import React from 'react';

export default function() {
    const tableData = [
        {
            id: 1,
            name: 'John Doe',
            email: 'johndoe@yahoo.com',
            date: '10/08/2020',
            sale: 120,
            status: 'Complete',
            register: '5 min ago',
            progress: '40%',
            position: 'Developer',
            office: 'London',
        },
        {
            id: 2,
            name: 'Shaun Park',
            email: 'shaunpark@gmail.com',
            date: '11/08/2020',
            sale: 400,
            status: 'Pending',
            register: '11 min ago',
            progress: '23%',
            position: 'Designer',
            office: 'New York',
        },
        {
            id: 3,
            name: 'Alma Clarke',
            email: 'alma@gmail.com',
            date: '12/02/2020',
            sale: 310,
            status: 'In Progress',
            register: '1 hour ago',
            progress: '80%',
            position: 'Accountant',
            office: 'Amazon',
        },
        {
            id: 4,
            name: 'Vincent Carpenter',
            email: 'vincent@gmail.com',
            date: '13/08/2020',
            sale: 100,
            status: 'Canceled',
            register: '1 day ago',
            progress: '60%',
            position: 'Data Scientist',
            office: 'Canada',
        },
    ];
    return (
        <PanelCodeHighlight
            title="Progress Table"
        >
            <div className="table-responsive mb-5">
                <table>
                    <thead>
                    <tr>
                        <th>#</th>
                        <th>Name</th>
                        <th>Progress</th>
                        <th>Sales</th>
                        <th className="text-center">Action</th>
                    </tr>
                    </thead>
                    <tbody>
                    {tableData.map((data) => {
                        return (
                            <tr key={data.id}>
                                <td>{data.id}</td>
                                <td>
                                    <div className="whitespace-nowrap">{data.name}</div>
                                </td>
                                <td>
                                    <div className="flex h-1.5 w-full rounded-full bg-[#ebedf2] dark:bg-dark/40">
                                        <div
                                            className={`h-1.5 rounded-full rounded-bl-full text-center text-xs text-white ${
                                                data.status === 'completed'
                                                    ? 'bg-success'
                                                    : data.status === 'Pending'
                                                        ? 'bg-secondary'
                                                        : data.status === 'In Progress'
                                                            ? 'bg-info'
                                                            : data.status === 'Canceled'
                                                                ? 'bg-danger'
                                                                : 'bg-success'
                                            }`}
                                            style={{ width: `${data.progress}` }}
                                        ></div>
                                    </div>
                                </td>
                                <td>
                                    <div
                                        className={`whitespace-nowrap ${
                                            data.status === 'completed'
                                                ? 'text-success'
                                                : data.status === 'Pending'
                                                    ? 'text-secondary'
                                                    : data.status === 'In Progress'
                                                        ? 'text-info'
                                                        : data.status === 'Canceled'
                                                            ? 'text-danger'
                                                            : 'text-success'
                                        }`}
                                    >
                                        {data.progress}
                                    </div>
                                </td>
                                <td className="border-b border-[#ebedf2] p-3 text-center dark:border-[#191e3a]">
                                    <Tippy content="Edit">
                                        <button type="button">
                                            <IconPencil className="ltr:mr-2 rtl:ml-2" />
                                        </button>
                                    </Tippy>
                                    <Tippy content="Delete">
                                        <button type="button">
                                            <IconTrashLines />
                                        </button>
                                    </Tippy>
                                </td>
                            </tr>
                        );
                    })}
                    </tbody>
                </table>
            </div>
        </PanelCodeHighlight>
    );
}
